path: /build/build/geocode-glib-sci-geosciences-3.26.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test introspection" emerge sci-geosciences/geocode-glib -pv -t && \
    USE="-test introspection" emerge -j ${JOBS} --nodeps sci-geosciences/geocode-glib
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/geocode-glib && luet-portage --dir /pkgdir/geocode-glib
    sci-geosciences/geocode-glib && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b4e8a3332c978582b3809200e59f4b3f77415d84a7eaf004aaa300154877c693
  package:
    name: geocode-glib
    version: 3.26.2
    category: sci-geosciences
    use_flags:
    - -test
    - introspection
    requires:
    - name: gvfs
      version: '>=0'
      category: gnome-base
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GLib geocoding library that uses the Yahoo! Place Finder service
    uri:
    - https://git.gnome.org/browse/geocode-glib
    license: LGPL-2
    buildtimestamp: 2023-09-05 08:09:23.698319118 +0000 UTC m=+179.766988807
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.99.2[introspection?]
        gnome-base/gvfs[http] >=net-libs/libsoup-2.42:2.4[introspection?] introspection?
        ( >=dev-libs/gobject-introspection-1.62.0:= ) >=dev-util/gtk-doc-am-1.13 >=sys-devel/gettext-0.18
        virtual/pkgconfig test? ( sys-apps/dbus ) >=app-portage/elt-patches-20170815
        app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2'
      IUSE: +introspection test
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.99.2[introspection?]
        gnome-base/gvfs[http] >=net-libs/libsoup-2.42:2.4[introspection?] introspection?
        ( >=dev-libs/gobject-introspection-1.62.0:= )'
      emerge.packages: sci-geosciences/geocode-glib
      kit: gnome-kit
      original.package.name: sci-geosciences/geocode-glib
      original.package.slot: "0"
      original.package.version: 3.26.2
    treedir: /build/packages
  package_dir: /pkgdir/geocode-glib
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ecde7a8988ed7eb1967bc450f0223299e870ecb05828481e53f0bdc83ff5b9d4
compressiontype: zstd
files:
- usr/include/geocode-glib-1.0/geocode-glib/geocode-backend.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-bounding-box.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-enum-types.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-error.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-forward.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-glib.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-location.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-mock-backend.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-nominatim.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-place.h
- usr/include/geocode-glib-1.0/geocode-glib/geocode-reverse.h
- usr/lib64/girepository-1.0/GeocodeGlib-1.0.typelib
- usr/lib64/libgeocode-glib.so
- usr/lib64/libgeocode-glib.so.0
- usr/lib64/libgeocode-glib.so.0.0.0
- usr/lib64/pkgconfig/geocode-glib-1.0.pc
- usr/share/doc/geocode-glib-3.26.2/AUTHORS
- usr/share/doc/geocode-glib-3.26.2/ChangeLog
- usr/share/doc/geocode-glib-3.26.2/NEWS.bz2
- usr/share/doc/geocode-glib-3.26.2/README.bz2
- usr/share/doc/geocode-glib-3.26.2/TODO.bz2
- usr/share/gir-1.0/GeocodeGlib-1.0.gir
- usr/share/gtk-doc/html/geocode-glib/GeocodeBackend.html
- usr/share/gtk-doc/html/geocode-glib/GeocodeBoundingBox.html
- usr/share/gtk-doc/html/geocode-glib/GeocodeForward.html
- usr/share/gtk-doc/html/geocode-glib/GeocodeLocation.html
- usr/share/gtk-doc/html/geocode-glib/GeocodeNominatim.html
- usr/share/gtk-doc/html/geocode-glib/GeocodePlace.html
- usr/share/gtk-doc/html/geocode-glib/GeocodeReverse.html
- usr/share/gtk-doc/html/geocode-glib/annotation-glossary.html
- usr/share/gtk-doc/html/geocode-glib/api-index-full.html
- usr/share/gtk-doc/html/geocode-glib/ch01.html
- usr/share/gtk-doc/html/geocode-glib/geocode-glib-geocode-error.html
- usr/share/gtk-doc/html/geocode-glib/geocode-glib-geocode-mock-backend.html
- usr/share/gtk-doc/html/geocode-glib/geocode-glib.devhelp2
- usr/share/gtk-doc/html/geocode-glib/home.png
- usr/share/gtk-doc/html/geocode-glib/index.html
- usr/share/gtk-doc/html/geocode-glib/left-insensitive.png
- usr/share/gtk-doc/html/geocode-glib/left.png
- usr/share/gtk-doc/html/geocode-glib/right-insensitive.png
- usr/share/gtk-doc/html/geocode-glib/right.png
- usr/share/gtk-doc/html/geocode-glib/style.css
- usr/share/gtk-doc/html/geocode-glib/up-insensitive.png
- usr/share/gtk-doc/html/geocode-glib/up.png
- usr/share/icons/gnome/scalable/places/poi-airport.svg
- usr/share/icons/gnome/scalable/places/poi-bar.svg
- usr/share/icons/gnome/scalable/places/poi-building.svg
- usr/share/icons/gnome/scalable/places/poi-bus-stop.svg
- usr/share/icons/gnome/scalable/places/poi-car.svg
- usr/share/icons/gnome/scalable/places/poi-light-rail-station.svg
- usr/share/icons/gnome/scalable/places/poi-marker.svg
- usr/share/icons/gnome/scalable/places/poi-place-of-worship.svg
- usr/share/icons/gnome/scalable/places/poi-railway-station.svg
- usr/share/icons/gnome/scalable/places/poi-restaurant.svg
- usr/share/icons/gnome/scalable/places/poi-school.svg
- usr/share/icons/gnome/scalable/places/poi-town.svg
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/BUILD_TIME
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CATEGORY
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CBUILD
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CFLAGS
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CHOST
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CONTENTS
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/COUNTER
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/CXXFLAGS
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/DEFINED_PHASES
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/DEPEND
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/DESCRIPTION
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/EAPI
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/FEATURES
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/HOMEPAGE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/INHERITED
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/IUSE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/IUSE_EFFECTIVE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/KEYWORDS
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/LDFLAGS
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/LICENSE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/NEEDED
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/PF
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/PROVIDES
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/RDEPEND
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/REQUIRES
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/RESTRICT
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/SIZE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/SLOT
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/USE
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/environment.bz2
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/geocode-glib-3.26.2.ebuild
- var/db/pkg/sci-geosciences/geocode-glib-3.26.2/repository
package_cacheimage: ""
runtime:
  name: geocode-glib
  version: 3.26.2
  category: sci-geosciences
  use_flags:
  - -test
  - introspection
  requires:
  - name: json-glib
    version: '>=0'
    category: dev-libs
  - name: gvfs
    version: '>=0'
    category: gnome-base
  - name: libsoup
    version: '>=0'
    category: net-libs-2.4
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GLib geocoding library that uses the Yahoo! Place Finder service
  uri:
  - https://git.gnome.org/browse/geocode-glib
  license: LGPL-2
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.99.2[introspection?]
      gnome-base/gvfs[http] >=net-libs/libsoup-2.42:2.4[introspection?] introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= ) >=dev-util/gtk-doc-am-1.13 >=sys-devel/gettext-0.18
      virtual/pkgconfig test? ( sys-apps/dbus ) >=app-portage/elt-patches-20170815
      app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2'
    IUSE: +introspection test
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/json-glib-0.99.2[introspection?]
      gnome-base/gvfs[http] >=net-libs/libsoup-2.42:2.4[introspection?] introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= )'
    emerge.packages: sci-geosciences/geocode-glib
    kit: gnome-kit
    original.package.name: sci-geosciences/geocode-glib
    original.package.slot: "0"
    original.package.version: 3.26.2
